Package net.shibboleth.spring.metadata.filter

# Class AutoWiredNodeProcessingMetadataFilter

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.saml.metadata.resolver.filter.AbstractMetadataFilter
org.opensaml.saml.metadata.resolver.filter.impl.NodeProcessingMetadataFilter
net.shibboleth.spring.metadata.filter.AutoWiredNodeProcessingMetadataFilter

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MetadataFilter`

public class AutoWiredNodeProcessingMetadataFilter extends NodeProcessingMetadataFilter
A specialization of `NodeProcessingMetadataFilter` that auto-wires any `MetadataNodeProcessor` it finds and installs them into itself.

If the setter is invoked with a non-null list, then that supplants the auto-wired set, allowing a deployer to optionally configure a bean to supply the list, and if left out the default applies.

The metadata resolver Spring parsing at the top level will auto-install this filter along with a "known" bean ID to supply the deployer list, replacing an approach that caused warnings from Spring.

## Constructor Summary

Constructors
Constructor
Description
`AutoWiredNodeProcessingMetadataFilter(Collection<MetadataNodeProcessor> processors)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`setNodeProcessors(List<MetadataNodeProcessor> newProcessors)`

### Methods inherited from class org.opensaml.saml.metadata.resolver.filter.impl.NodeProcessingMetadataFilter

`filter, getNodeProcessors, processNode`

### Methods inherited from class org.opensaml.saml.metadata.resolver.filter.AbstractMetadataFilter

`getType, setType`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutoWiredNodeProcessingMetadataFilter

@Autowired public AutoWiredNodeProcessingMetadataFilter(@Nullable Collection<MetadataNodeProcessor> processors)
Constructor.

Parameters:
  `processors` - auto-wired processors to install

## Method Details

### setNodeProcessors

public void setNodeProcessors(@Nullable List<MetadataNodeProcessor> newProcessors)

Overrides:
  `setNodeProcessors` in class `NodeProcessingMetadataFilter`